"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavigationList = exports.NavigationItem = exports.Root = void 0;

var _styles = require("../styles");

var _index = require("./index");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Root = (0, _styles.styled)('nav', function (props) {
  var $theme = props.$theme;
  var scale500 = $theme.sizing.scale500,
      font400 = $theme.typography.font400,
      border = $theme.colors.border;
  return _objectSpread({}, font400, {
    cursor: 'pointer',
    display: 'flex',
    paddingBottom: scale500,
    paddingTop: scale500,
    borderBottom: "1px solid ".concat(border)
  });
});
exports.Root = Root;
Root.displayName = 'StyledRoot';
var NavigationItem = (0, _styles.styled)('div', function (props) {
  var $theme = props.$theme;
  var scale800 = $theme.sizing.scale800;
  return {
    alignSelf: 'center',
    paddingLeft: scale800
  };
});
exports.NavigationItem = NavigationItem;
NavigationItem.displayName = 'StyledNavigationItem';
var NavigationList = (0, _styles.asPrimaryExport)((0, _styles.styled)('div', function (props) {
  var $align = props.$align,
      $theme = props.$theme;
  var scale800 = $theme.sizing.scale800;
  return {
    display: 'flex',
    ':first-child': {
      padding: 0
    },
    ':last-child': {
      padding: 0
    },
    flex: $align === _index.ALIGN.right || $align === _index.ALIGN.left ? 'none' : '1',
    paddingLeft: scale800,
    paddingRight: scale800,
    justifySelf: $align,
    justifyContent: $align
  };
}), ['align']);
exports.NavigationList = NavigationList;
NavigationList.displayName = 'StyledNavigationList';